#ifndef TILESET
#define TILESET

typedef enum {
	MENU,
	P_FRONT_BACK, P_SIDE,
	ENEMY,
	DEC, SNOWMAN, FIR, FIR_TWO
} Tileset_name;

typedef struct {
	int width, height, length;
	char** tile;
} Tileset;

Tileset* tileset_load(Tileset_name name);
void tileset_free(Tileset* tileset);
static Tileset* tileset_create(const char* bmp, int width, int height, int length);

#endif

