#include "functions.h"

static int SysCallCode[] = {0xD201422B,0x60F20000,0x80010070};
static int (*SysCall)(int R4, int R5, int R6, int R7, int FNo ) = (void*)&SysCallCode;

int RTC_getTicks(void)
{
    return (*SysCall)(0, 0, 0, 0, 0x3B);
}

unsigned int random(int seed, int value) {
    static unsigned int lastrandom = 0x12345678;
    if(seed) lastrandom = seed;
    lastrandom = (0x41C64E6D * lastrandom) + 0x3039;
    return ((lastrandom >> 16) % value);
}

void uintToChar(char *c, int n) {
	int nb = n;
	int i, l=0;
    if(nb==0) {
		c[0] = '0';
		c[1] = '\0';
	}
    else {
        for(i=nb ; i ; i/=10) l++;
        c[l] = '\0';
        for(i=nb ; i ; i/=10) c[--l] = i%10+'0';
    }
	return;
}